MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007283ardourbugspublic2017-03-08 20:012017-03-11 03:23
Reportertimbyr 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.8 
Target VersionFixed in Version 
Summary0007283: Undo of Fade range operation does not undo change to fade in first region/s
DescriptionTested with build of 5.8.76, video of behaviour attached.

It is hard to describe what is going on here or if the current behaviour is intended which is why I've attached a video.

If a range selection covers the end of the first region and the start and end positions of the second region in a Fade Range operation then undo will only remove the fades that were created/modified for the second region.

Expected behaviour:

All fades that were created are restored to original positions by undo.
TagsNo tags attached.
Attached Files? file icon Ardour-5.8.76-fade-range-overlap-undo.webm [^] (362,802 bytes) 2017-03-08 20:01

- Relationships

-  Notes
(0019518)
nick_m (reporter)
2017-03-10 06:12

the undo part should be fixed by commit b3ef0a9e8d4a
(0019521)
timbyr (developer)
2017-03-11 03:23

I can confirm this issue is now fixed. Tested with a build of 5.8.116(fd9330f591).

- Issue History
Date Modified Username Field Change
2017-03-08 20:01 timbyr New Issue
2017-03-08 20:01 timbyr File Added: Ardour-5.8.76-fade-range-overlap-undo.webm
2017-03-10 06:12 nick_m Note Added: 0019518
2017-03-11 03:23 timbyr Note Added: 0019521
2017-03-11 03:23 timbyr Status new => resolved
2017-03-11 03:23 timbyr Resolution open => fixed
2017-03-11 03:23 timbyr Assigned To => timbyr


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker